No se puede instalar el server X11 en RHEL6

Estoy tring para instalar el server X11 en un server RHEL6

yum groupinstall "X Window System" "Desktop" "Fonts" 

pero estoy recibiendo el siguiente error:

 Error Downloading Packages: libart_lgpl-2.3.20-5.1.el6.x86_64: failed to retrieve getPackage/libart_lgpl-2.3.20-5.1.el6.x86_64.rpm from prod-epel-x86_64-server-6 error was [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=prod-epel-x86_64-server-6 clean metadata 

Después de ejecutar el yum --enablerepo=prod-epel-x86_64-server-6 clean metadata , estoy recibiendo el mismo post de error.

¿Cómo puedo arreglar esto?

3 Solutions collect form web for “No se puede instalar el server X11 en RHEL6”

El error sigue regresando porque está utilizando un espejo que probablemente no esté completamente sincronizado. Así que el package no coincide con el hash MD5.

Puede intentar especificar un espejo diferente o usar el complemento yum-fastestmirror para que detecte automáticamente el más rápido.

EDITAR

por lo general la eliminación de la caching yum resuelve el problema, pruebe estos commands:

 yum clean all yum upgrade 

y luego intenta instalar X11. También esto puede indicar un problema con el repository mismo que en ese caso usted necesita especificar el espejo que usted quiere utilizar en el file del conf del yum

 [base] name=CentOS-$releasever - Base baseurl=http://mirrors.usc.edu/centos/$releasever/os/$basearch/ gpgcheck=1 gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6 priority=1 

Aclamaciones.

No debe necesitar ningún EPEL para instalar el grupo de "X Window System" pkg. ( los repositorys proporcionados a usted por su suscripción de Red Hat deben ser suficientes )

Además, el error que recibes podría ser un error en el cliente, pero también podría indicar que algo está mal en el repository yum que estás usando: No sé qué software ha creado el "prod-epel-x86_64-server -6 ", pero podría indicar un duplicado (es decir, dos packages con el mismo nombre existe en el mismo repo) o bien el pkg cambiado desde que se creó el repo. (tal vez los metadatos se generaron antes de que el package se actualizara por completo a un repo o algo así).

De todos modos, ya que no debe necesitar este repo para instalar el "X Window System" pkg grupo, creo que debe hacer esto:

  yum clean all yum --disablerepo "prod-epel-86_64-server-6" groupinstall "X Window System" "Desktop" "Fonts" 

Y luego hacer un examen más minucioso acerca de lo que está pasando con el repo "prod-epel-86_64-server-6". Si está en su control, podría intentar regenerar metadatos para ello.

  • SSH X11 no funciona
  • Problemas de Amazon EC2 x11
  • ¿Cómo probar X11 Forwarding?
  • Terminal Server para Linux
  • SSH - Cómo activar el reenvío de X en la connection normal
  • SSH X11 Reenvío XInputExtension ausente
  • ¿Cómo puedo habilitar el reenvío de X11 a un server Debian?
  • Instalar x windows en Centos no funciona
  • No se puede abrir la pantalla - X11 Reenvío - Cent OS
  • ¿Cómo configurar correctamente el reenvío X en (Ubuntu) linux?
  • Reenvíe las aplicaciones del sistema X-window que ya se están ejecutando a través de SSH
  • cómo hacer rápido SSH X11 reenvío (específicamente, haciendo que el menu de context de Firefox aparezca rápidamente)
  • Configuración de xpra para el uso del cliente en OS X
  • El linux y los temas del servidor de Windows, como ubuntu, centos, apache, nginx, debian y consejos de red.